# Uses of Class
com.ngrok.definitions.ReservedDomainCertPolicy

Packages that use ReservedDomainCertPolicy
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of ReservedDomainCertPolicy in com.ngrok.definitions

  Methods in com.ngrok.definitions that return ReservedDomainCertPolicy
  Modifier and Type
  Method
  Description
  `ReservedDomainCertPolicy`
  ReservedDomainCertPolicy.Builder.`build()`
  Constructs the `ReservedDomainCertPolicy` instance.
  Methods in com.ngrok.definitions that return types with arguments of type ReservedDomainCertPolicy
  Modifier and Type
  Method
  Description
  `Optional<ReservedDomainCertPolicy>`
  ReservedDomain.`getCertificateManagementPolicy()`
  configuration for automatic management of TLS certificates for this domain, or null if automatic management is disabled

- ## Uses of ReservedDomainCertPolicy in com.ngrok.services

  Methods in com.ngrok.services with parameters of type ReservedDomainCertPolicy
  Modifier and Type
  Method
  Description
  `ReservedDomains.CreateCallBuilder`
  ReservedDomains.CreateCallBuilder.`certificateManagementPolicy(ReservedDomainCertPolicy certificateManagementPolicy)`
  configuration for automatic management of TLS certificates for this domain, or null if automatic management is disabled.
  `ReservedDomains.UpdateCallBuilder`
  ReservedDomains.UpdateCallBuilder.`certificateManagementPolicy(ReservedDomainCertPolicy certificateManagementPolicy)`
  configuration for automatic management of TLS certificates for this domain, or null if automatic management is disabled.
  Method parameters in com.ngrok.services with type arguments of type ReservedDomainCertPolicy
  Modifier and Type
  Method
  Description
  `ReservedDomains.CreateCallBuilder`
  ReservedDomains.CreateCallBuilder.`certificateManagementPolicy(Optional<ReservedDomainCertPolicy> certificateManagementPolicy)`
  configuration for automatic management of TLS certificates for this domain, or null if automatic management is disabled.
  `ReservedDomains.UpdateCallBuilder`
  ReservedDomains.UpdateCallBuilder.`certificateManagementPolicy(Optional<ReservedDomainCertPolicy> certificateManagementPolicy)`
  configuration for automatic management of TLS certificates for this domain, or null if automatic management is disabled.